% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/lavanify2ram.R
\name{umxRAM2}
\alias{umxRAM2}
\title{Make RAM model using lavaan syntax}
\usage{
umxRAM2(model, data = NULL, lavaanMode = "sem", printTab = FALSE,
  name = NULL)
}
\arguments{
\item{model}{A lavaan string}

\item{data}{Data for the model (optional)}

\item{lavaanMode}{= "sem"}

\item{printTab}{Print the table (defaults to FALSE) # TODO just verbose}

\item{name}{Name for model (optional)}
}
\value{
- \code{\link{mxModel}}
}
\description{
Can detect lavaan string input. TODO document once merged with `umxRAM`.
}
\examples{
m1 = umxRAM2("y~x") 
umxRAM2("y is x") # not a lavaan string
namedStr = " 	# my name
	y ~x"
m1 = umxRAM2(namedStr) 

# test for removal of bad chars from name
lav = " # Model 14 PROCESS Hayes + - '~', ':', and '= moderated mediation
gnt ~ a*cb
" 
m1 = umxRAM2(lav) 

}
\seealso{
- \code{\link{umxLav2RAM}}

Other Super-easy helpers: \code{\link{umxEFA}},
  \code{\link{umxLav2RAM}}, \code{\link{umxTwoStage}},
  \code{\link{umx}}
}
\concept{Super-easy helpers}
