% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/xmu.R
\name{xmu_dot_maker}
\alias{xmu_dot_maker}
\title{Internal umx function to help plotting graphviz}
\usage{
xmu_dot_maker(model, file, digraph, strip_zero = TRUE)
}
\arguments{
\item{model}{An \code{\link{mxModel}} to get the name from}

\item{file}{Either "name" (use model name) or a file name}

\item{digraph}{Graphviz code for a model}

\item{strip_zero}{Whether to remove the leading "0." in digits in the diagram}
}
\value{
-
}
\description{
Helper to print a digraph to file and open it
}
\seealso{
Other xmu internal not for end user: \code{\link{umxModel}},
  \code{\link{umx}}, \code{\link{xmuHasSquareBrackets}},
  \code{\link{xmuLabel_MATRIX_Model}},
  \code{\link{xmuLabel_Matrix}},
  \code{\link{xmuLabel_RAM_Model}}, \code{\link{xmuMI}},
  \code{\link{xmuMakeDeviationThresholdsMatrices}},
  \code{\link{xmuMakeOneHeadedPathsFromPathList}},
  \code{\link{xmuMakeTwoHeadedPathsFromPathList}},
  \code{\link{xmuMaxLevels}}, \code{\link{xmuMinLevels}},
  \code{\link{xmuPropagateLabels}},
  \code{\link{xmu_assemble_twin_supermodel}},
  \code{\link{xmu_check_levels_identical}},
  \code{\link{xmu_clean_label}},
  \code{\link{xmu_dot_make_paths}},
  \code{\link{xmu_dot_make_residuals}},
  \code{\link{xmu_dot_move_ranks}},
  \code{\link{xmu_dot_rank_str}},
  \code{\link{xmu_lavaan_process_group}},
  \code{\link{xmu_make_mxData}},
  \code{\link{xmu_make_top_twin}},
  \code{\link{xmu_model_needs_means}},
  \code{\link{xmu_safe_run_summary}},
  \code{\link{xmu_set_sep_from_suffix}},
  \code{\link{xmu_simplex_corner}},
  \code{\link{xmu_start_value_list}},
  \code{\link{xmu_starts}}

Other Graphviz: \code{\link{umx_dot_define_shapes}},
  \code{\link{umx_dot_mat2dot}},
  \code{\link{umx_dot_rank}},
  \code{\link{xmu_dot_make_paths}},
  \code{\link{xmu_dot_make_residuals}}
}
\concept{Graphviz}
\concept{xmu internal not for end user}
